API ReferenceTools

Get required scopes for tools

Markdown
POST
/api/v3.1/tools/scopes/required

Resolves required scopes for the specified tools at a given toolkit version. All requested tools must belong to the same toolkit. Returns the flat scope union plus per-tool structured scope requirements when available.

x-api-key<token>

Project API key authentication

In: header

Request Body

application/json

toolsarray of stringRequired

Tool slugs to resolve scopes for. All tools must belong to the same toolkit.

versionstring

Toolkit version to resolve scopes against for the requested toolkit. Defaults to the pinned HTTP version when omitted.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://backend.composio.dev/api/v3.1/tools/scopes/required" \  -H "Content-Type: application/json" \  -d '{    "tools": [      "gmail_view_email",      "gmail_send_email"    ]  }'
{
  "scopes_required": [
    "channels:read",
    "chat:write",
    "https://www.googleapis.com/auth/gmail.modify",
    "repo",
    "user:email"
  ],
  "per_tool_requirements": [
    {
      "tool": "string",
      "scope_requirements": {
        "all_of": [
          "string"
        ]
      }
    }
  ]
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}